import { Plugin } from 'vite';
import { WatchItem } from '..';
import { WatchManager } from './watch';
declare module 'vite' {
    interface ViteDevServer {
        watchManager: WatchManager;
    }
}
export interface HmrOptions {
    watch?: WatchItem[];
}
export interface HmrData extends WatchItem {
    file: string;
    event: string;
    initial: boolean;
    timestamp: number;
}
export declare const hmrPluginName = "viteburner:hmr";
export declare function hmrPlugin(): Plugin;
export default hmrPlugin;
